► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Init Libraries
14 | Platform Dependencies
| Index

▼ | 6 | Snip and Style Classes

6.1 | add-color<%>
6.2 | image-snip%
6.3 | mult-color<%>
6.4 | readable-snip<%>
6.5 | snip%
6.6 | snip-admin%
6.7 | snip-class%
6.8 | snip-class-list<%>
6.9 | string-snip%
6.10 | style<%>
6.11 | style-delta%
6.12 | style-list%
6.13 | tab-snip%

On this page:

new

Inherited methods:
from string-snip%
insert
read
from snip%
adjust-cursor
blink-caret
can-do-edit-operation?
copy
do-edit-operation
draw
equal-hash-code-of
equal-secondary-hash-code-of
equal-to?
find-scroll-step
get-admin
get-count
get-extent
get-flags
get-num-scroll-steps
get-scroll-step-offset
get-snipclass
get-style
get-text
get-text!
is-owned?
match?
merge-with
next
on-char
on-event
on-goodbye-event
other-equal-to?
own-caret
partial-offset
previous
release-from-owner
resize
set-admin
set-count
set-flags
set-snipclass
set-style
set-unmodified
size-cache-invalid
split
write

top ← prev up next →

> class

> tab-snip% : class?

superclass: string-snip%

An instance of tab-snip% is created automatically when a tab is inserted into an editor.

> > constructor

> > (new tab-snip%) → (is-a?/c tab-snip%)

Creates a snip for a single tab, though the tab is initially empty.

Normally, a single tab is inserted into a tab-snip% object using the insert method.

The tab’s content is not drawn, through it is used when determining the size of a single character in editors where tabbing is determined by the character width (see set-tabs); if the content is a single tab character (the normal case), then the average character width of snip’s font is used as the tab’s width.
top ← prev up next →